package routes

import (
	"server/internal/http/controllers"

	"github.com/gofiber/fiber/v3"
)

func registerAdminRoutes(app *fiber.App) {
	adminController := controllers.NewAdminController()

	// Typescript: TSEndpoint= path=/admin/users; name=listUsers; method=POST; request=controllers.ListUsersRequest; response=models.[]UserShort
	app.Post("/admin/users", adminController.ListUsers)
}
